<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 16/08/2017 14:39
OBS.: ATUALIZAÇÃO DE NOVOA ESTRUTURA E REVISÃO
*/

include("../configuracao.php");//confirma no banco de dados
include("../inclusos/funcoes.php");
include("../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página	

//recebe os parâmetros

$idusuario = $_REQUEST['idusuario'];
$idprograma = $_REQUEST['idprograma'];
$idmenu = $_REQUEST['idmenu'];
$acao = $_REQUEST['acao'];

//VERIFICA SE JÁ EXISTE MENU

$SelecionaMenuUsuario = Seleciona("usuarios_programas", "WHERE idusuario='$idusuario' AND idmenu='$idmenu' AND idprograma='$idprograma'", "");
$TotalMenu = mysql_num_rows($SelecionaMenuUsuario);

if($TotalMenu > 0){	
	$Acao = "Alterar";
}else{
	$Acao = "Salvar";	
}


    try
    {

if($Acao == "Alterar"){
$campos_alterar = "acao='$acao', idmenu='$idmenu', idfilial='".$_SESSION['idfilial_usuario']."', cod_empresa='".$_SESSION['cod_empresa']."', idusuario_atualizacao='".$_SESSION['usuarioID']."'";
//insere na BD
$AlterarMenu = mysql_query("UPDATE usuarios_programas SET $campos_alterar WHERE idusuario='$idusuario' AND idprograma='$idprograma'", $conexao);
//retorna 1 para no sucesso do ajax saber que foi com inserido sucesso
echo "1";
}else{

$SalvarMenu = Salvar("usuarios_programas", "idusuario, idmenu, idprograma, acao, idusuario_atualizacao, idfilial, cod_empresa","'$idusuario', '$idmenu', '$idprograma', '$acao', '".$_SESSION['usuarioID']."', '".$_SESSION['idfilial_usuario']."', '".$_SESSION['cod_empresa']."'");	
echo "1";	
}

    } 
    catch (Exception $ex)
    {
        //retorna 0 para no sucesso do ajax saber que foi um erro
        echo "0";
    }
?>